MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000476ATutorAdminpublic2004-02-27 11:062005-08-09 06:03
Reporteruser2 
Assigned Toheidi 
PrioritylowSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.5.1 
Summary0000476: assign course to a diff member
Descriptionline 89: $sql = "REPLACE INTO ".TABLE_PREFIX."course_enrollment VALUES ($form_instructor, $form_course_id, 'y', 0, '', 0)";


seems a bit suspecious. it doesn't unenroll the old instructor from the course. what if we decide on the instructor status in the `perms` fiels (2nd last field in the sql above), it would not remove the old instructor from the course.
TagsNo tags attached.
Affects version
SVN Revision#
Attached Files

- Relationships

-  Notes
(0001478)
heidi (developer)
2005-07-25 06:19

i think the old instructor should be removed from the course.
(0001542)
heidi (developer)
2005-08-08 11:51

agreed the replace into is a little sketchy... code makes more sense now.

line 133 of course.inc.php

- Issue History
Date Modified Username Field Change
2004-02-27 11:06 user2 New Issue
2004-05-12 07:42 user2 Priority normal => low
2005-07-25 06:19 heidi Note Added: 0001478
2005-08-05 10:05 heidi Status new => assigned
2005-08-05 10:05 heidi Assigned To => heidi
2005-08-08 11:51 heidi Status assigned => resolved
2005-08-08 11:51 heidi Fixed in Version => 1.5.1
2005-08-08 11:51 heidi Resolution open => fixed
2005-08-08 11:51 heidi Note Added: 0001542
2005-08-09 06:03 user2 Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker